Subject: bug#23926: defcustom with STANDARD=<non-pure-expression> gives confusing results

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jul 2016 08:20:05 +0300

> From: [email-masked]
> Cc: [email-masked]
> Date: Mon, 11 Jul 2016 23:26:25 -0400
> 
> I had a look at the docs; seems to me "standard" is used consistently,
> so it makes sense to change to that.  Docstring of defcustom:

I'm in favor of using consistent terminology, but this:

>     STANDARD is an expression specifying the variable’s standard
>     value.

is just tautology: it doesn't really explain what is STANDARD, except
by using the same word, which is too general to explain itself.

So if we want to use this, and consider that an improvement, I think
it would be good to explain some more what "standard value" means or
is.

Thanks.